local ichannel = love.thread.getChannel("i")
local ochannel = love.thread.getChannel("o")
print("io thread started")
while true do
    local message = ichannel:demand()
    -- print("io message received:", message.type)
    if message.type == "write" then
        local success, errormessage = love.filesystem.write(message.filename, message.data)
        ochannel:push {
            id = message.id,
            type = message.type,
            success = success,
            errormessage = errormessage
        }
    end
    if message.type == "read" then
        local contents, size = love.filesystem.read("string", message.filename)
        ochannel:push {
            id = message.id,
            type = message.type,
            contents = contents,
            size = size
        }
    end
end