local tiles = {}

local id = 0

local function t(tbl)
    tiles[id] = tbl
    tbl.id = id
    tbl.sx = tbl.sx or id * 8
    tbl.sy = tbl.sy or 0
    tbl.sw = tbl.sw or 8
    tbl.sh = tbl.sh or 8
    id = id + 1
end

tiles.air = {
    sx = 0,
    sy = 0,
    sw = 0,
    sh = 0,
    collision = "none"
}

t {
    collision = "solid"
}

t {
    collision = "solid"
}

t {
    collision = "solid"
}

t {
    collision = "water"
}

t {
    collision = "water"
}

t {
    collision = "solid"
}

t {
    collision = "solid"
}

return tiles